Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object,
                           ByVal e As System.EventArgs) Handles MyBase.Load

        With ListView1
            .View = View.Details
            .FullRowSelect = True
            .GridLines = True
            .HideSelection = False

            .Columns.Add("Spalte 1")
            .Columns.Add("Spalte 2")
            .Columns.Add("Spalte 3")
            .Columns(2).TextAlign = HorizontalAlignment.Center
            .Columns.Add("Zahlen")
            .Columns(3).TextAlign = HorizontalAlignment.Right
            .Columns.Add("Geld")
            .Columns(4).TextAlign = HorizontalAlignment.Right
            .Columns.Add("Datum")
            .Columns.Add("Spalte 6")

            Dim R As New Random()
            For i As Integer = 0 To 50
                Dim Li As New ListViewItem
                Li.UseItemStyleForSubItems = False
                Li.ForeColor = Color.Green
                Li.Text = "Item " & i.ToString & ".1"
                Li.SubItems.Add("Item " & i.ToString & ".2")
                Li.SubItems.Add("Item " & i.ToString & ".3")

                Dim Zahl As Integer = R.Next(100, 10000000)
                Li.SubItems.Add(Zahl.ToString("#,###"))
                Li.SubItems(3).ForeColor = Color.Blue

                Dim Geld As Decimal = R.Next(1, 100000000)
                Li.SubItems.Add(Geld.ToString("#,##0.00"))

                Dim Datum As Date = _
                    Date.Now.AddSeconds(Convert.ToDouble(R.Next(1, 1000000)))
                Li.SubItems.Add(Datum.ToString("dd.MM.yyyy HH:mm:ss"))

                Li.SubItems.Add("Item " & i.ToString & ".7")
                .Items.Add(Li)
            Next
            .AutoResizeColumns(ColumnHeaderAutoResizeStyle.ColumnContent)
        End With

    End Sub

    Private Sub btnPrint_Click(ByVal sender As System.Object, _
         ByVal e As System.EventArgs) Handles btnPrint.Click

        'Druckerauswahl
        Dim HeaderText As String = "Hier kommt die berschrift"
        Dim PrinterName As String = Nothing
        Dim cLvwPrint As New clsListviewPrint(ListView1, HeaderText)
        Using Frm As New frmPrintStart
            Frm.FormularName = "Drucken Listview"
            Frm.PrinterName = PrinterName
            Frm.Copies = 1
            Frm.ShowDialog()
            If Frm.Cancel Then
                Exit Sub
            End If

            Application.DoEvents()

            cLvwPrint.Copies = Frm.Copies
            cLvwPrint.Preview = Frm.Preview
            cLvwPrint.PrinterName = Frm.PrinterName
            cLvwPrint.Landscape = rbtQuer.Checked
            cLvwPrint.ListviewAlignCenter = chkAlign.Checked

            'weitere Optionen
            'cLvwPrint.HeaderText = HeaderText
            'cLvwPrint.DateFormat = "dd.MM.yyyy HH:mm"
            'cLvwPrint.PageNoAlignCenter = True
            'cLvwPrint.FontHeader = New Font("Arial", 20, _
            '  FontStyle.Italic Or FontStyle.Bold)
            'cLvwPrint.ForeColorHeader = Color.CadetBlue
            'cLvwPrint.HeaderAlignCenter = False
            'cLvwPrint.FontFoot = New Font("Arial", 10, FontStyle.Underline)
            'cLvwPrint.ForeColorFoot = Color.Chocolate

            'ausgeben
            cLvwPrint.Print()
        End Using
        Application.DoEvents()
    End Sub
End Class
